package me.loganb1max.minions;

import lombok.Getter;
import me.loganb1max.minions.manager.MinionManager;
import org.bukkit.plugin.java.JavaPlugin;

public class MinionsPlugin extends JavaPlugin {

	@Getter private static MinionsPlugin instance;
	@Getter private MinionManager minionManager;

	@Override
	public void onEnable() {
		saveDefaultConfig();
		this.minionManager = new MinionManager(this);
	}

	@Override
	public void onDisable() {
		this.minionManager.close();
	}

}
